Loading...
Searching...
No Matches
casacore::MArrayUtil_global_functions_reverseMArray Struct Reference
tables package (libcasa_tables) » TaQL_module

Reverse the order of one or more axes of an MArray. More...

`#include <MArrayUtil.h>`

## Public Member Functions

template<class T>
MArray< T > | reverseArray (const MArray< T > &array, const IPosition &reversedAxes, Bool alwaysCopy=True)

## Detailed Description

Reverse the order of one or more axes of an MArray.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tMArrayUtil

### Synopsis

This function makes it possible to reverse one or more axes of an MArray by swapping around the elements of each axis. Both the data and the optional mask are reversed. The resulting array is a copy of the input array with its data moved around according to the new order. If the order does not change, a copy is returned if the alwaysCopy is true. Otherwise a reference of the input array is returned.

### Example

Reversing axis 0 of a Vector means that the Vector is reversed. Reversing axis 1 of a Matrix means that its rows are reversed. Reversing axis 0 of an N-dim array means that the elements of each Vector in that array are reversed.

Definition at line 115 of file MArrayUtil.h.

## Member Function Documentation

## reverseArray()

template<class T>

MArray< T > casacore::MArrayUtil_global_functions_reverseMArray::reverseArray | ( | const MArray< T > & | array,
|  | const IPosition & | reversedAxes,
|  | Bool | alwaysCopy = True )

inline

Definition at line 117 of file MArrayUtil.h.

References casacore::array, reverseArray(), and casacore::True.

Referenced by reverseArray().

The documentation for this struct was generated from the following file:

- tables/TaQL/MArrayUtil.h